### Enumeration

# Gio DriveStartStopType

since: 2.22

#### Declaration

    enum Gio.DriveStartStopType

#### Description [src]

Enumeration describing how a drive can be started/stopped.

Available since: 2.22

#### Members

Name | Description
--- | ---
`G_DRIVE_START_STOP_TYPE_UNKNOWN` | Unknown or drive doesn’t support start/stop.
`G_DRIVE_START_STOP_TYPE_SHUTDOWN` | The stop method will physically shut down the drive and e.g. power down the port the drive is attached to.
`G_DRIVE_START_STOP_TYPE_NETWORK` | The start/stop methods are used for connecting/disconnect to the drive over the network.
`G_DRIVE_START_STOP_TYPE_MULTIDISK` | The start/stop methods will assemble/disassemble a virtual drive from several physical drives.
`G_DRIVE_START_STOP_TYPE_PASSWORD` | The start/stop methods will unlock/lock the disk (for example using the ATA `SECURITY UNLOCK DEVICE` command)